#ifndef APP_H_
#define APP_H_

/* undefine to build without anti-aliasing */
#define MSAA

int win_width, win_height;
int nverts;
int msaa;
int fullscr;
long msec;

int app_init(void);
void app_display(void);
void app_reshape(int x, int y);
void app_keyboard(int key, int pressed);
int app_parse_args(int argc, char **argv);

/* defined in main_*.c */
void app_quit(void);
void app_fullscreen(void);
void app_windowed(void);

#endif	/* APP_H_ */
